Issue 16751

Summary: calculations in a table in Writer unintuitive and different from spreadsheet
Product: Writer Reporter: natk <nat>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, rainerbielefeld_ooo_qa, skoning
Version: OOo 1.1 Beta2Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Calculations in a table in Writer: < > required none

Description natk 2003-07-12 22:28:22 UTC
Doing calculations in cells in a table in Draw is different from calcultations 
in cells in a spreadsheet.
In a spreadsheet: You type =a1+b4
In a table in Draw: You have to type =<A1>+<B4>

The only way to not having to type those dreadful brackets and uppercase 
cellnames is by selecting the cells with the mouse.
this results in:
Keyboard: =
Mouse: click on cell
Keyboard: +
Mouse: click on next cell
Keyboard: Enter

And all this for the simplest calculation available :(
Comment 1 eugenetswong 2003-07-13 20:33:36 UTC
From what has been said, I get the impression that this is supposed to be like 
this. It definitely doesn't seem like a priority. I'm setting the priority from 
P3 to P4. I think that Nat has a point. It should be as simple as a procedure in 
a Calc document.

I tried it in Writer, & it works just as he described. I will now set the status 
to New. Maybe the developers can make it so that the user only has to hold Ctrl, 
then click each cell that he wants to add together. Right now you can hold Shift 
to select a range of cells, but some users may only want 2 or more cells out of 
the whole range.

Also, in the Component field & Summary, Nat said that this should be a Writer 
problem. Yet in the comment above, Nat said that this is a Draw problem. Nat 
would you please clarify the difference?

Standard disclaimer: I'm new @ this, & the fields can be put back to where they 
were. :^)
Comment 2 natk 2003-07-13 23:26:51 UTC
Hi Eugene,


OOps, I'm sorry. It is a Writer problem. I don't know why I wrote 
Draw... :S

-- I tried it in Writer, & it works just as he described. I will
-- now set the status to New. Maybe the developers can make it so
-- that the user only has to hold Ctrl, then click each cell that
-- he wants to add together. Right now you can hold Shift to select
-- a range of cells, but some users may only want 2 or more cells
-- out of the whole range.

I think that this does not solve the problem. The *REAL* trouble is 
that you cannot work _only_ with the keyboard or _only_ with the 
mouse. You'd have to select the cells with the mouse, but you'd have 
to use the keyboard to type the operators ...

Besides it is very annoying to _have_ to put the pointy brackets 
around the cell names, when you leave them out they are not 
recognized as cell names.

And yes, I think that it should work like in Calc, it is very 
confusing to have calculation functions that are so very different 
from the same functions in a spreadsheet

BTW
I am a she :)

Thanks

Natalie


Comment 3 h.ilter 2003-07-14 13:06:33 UTC
Reassigned to BH
Comment 4 askoning 2004-01-18 20:16:39 UTC
After having trouble with setting up a simple invoice in Writer I came to this
issue and found that I was not the first with this problem ;)

The problem (having to type "<A1>" instead of "a1" to reference cells in a
Writer table) apparently still exists in 1.1.1a and - to be honest - I think it
lies somewhere between an enhancement request and a real defect.

It is quite a nuisance to have to type angled brackets and uppercase letters -
and I hope it will be considered as - call it a usability defect.
Just my €0.02...
Comment 5 askoning 2004-01-18 20:22:45 UTC
Created attachment 12558 [details]
Calculations in a table in Writer: < > required
Comment 6 ace_dent 2008-05-16 02:39:57 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 7 Rainer Bielefeld 2009-02-11 09:50:47 UTC
I checked with "Ooo 3.0.1 (DE) Multilingual version German UI WIN XP: [OOO300m15
(Build 9379)]" and can confirm the reported problems.
Comment 8 Rainer Bielefeld 2009-02-11 09:52:18 UTC
*** Issue 99089 has been marked as a duplicate of this issue. ***
Comment 9 bettina.haberer 2010-05-21 14:49:58 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".